Create bucket
Creates a new storage bucket with the specified configuration and destination settings.
Authorization
OAuth2 upl:bucket:manageOAuth 2.0 authorization
In: header
Scope: upl:bucket:manage
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
Name for the new bucket
hostname3 <= length <= 64Optional aliases for the bucket
items <= 8Optional description of the bucket
length <= 128Destination for the bucket
"BUCKET_DESTINATION_UNSPECIFIED" | "BUCKET_DESTINATION_DEFAULT" | "BUCKET_DESTINATION_S3_BUCKET" | "BUCKET_DESTINATION_S3_SERVER" | "BUCKET_DESTINATION_UPLIM_LITE"Storage destination configuration for a bucket
Portal configuration for the bucket
Permanent identifier for the bucket (DNS label, immutable, becomes the S3 bucket name). Omit to have one generated — never an error to leave unset. May not begin with "uplint-" (reserved for generated names).
hostname2 <= length <= 64Create the bucket private: no anonymous traffic, sharing only through presigned URLs and share links. Defaults to false.
Optional CORS configuration. Omit to use the cdn_mode-derived default.
Create the bucket owned by this team (urn:xeonr:auth:team:) instead of by the caller. Requires the caller to hold the upl "admin" team role in that team. Omit for a personal bucket.
Required when type = BUCKET_TYPE_INTEGRATION. Links the bucket to an IntegrationBucketType.
uuidResponse Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketsService/CreateBucket" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"bucket": {
"bucketId": "string",
"bucketName": "string",
"url": "string",
"uploadCount": 0,
"usedSpaceBytes": 0,
"totalSpaceBytes": 0,
"aliases": [
"string"
],
"isPrimary": true,
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"type": "BUCKET_TYPE_UNSPECIFIED",
"destination": "BUCKET_DESTINATION_UNSPECIFIED",
"destinationConfig": {
"s3Bucket": {
"bucketName": "example.com",
"region": "string",
"roleArn": "string"
}
},
"primaryAlias": "string",
"portalConfig": {
"cdnMode": true
},
"integrationBucketTypeId": "64e6bf6c-205f-4993-b9eb-3e0601207a25",
"slug": "string",
"private": true,
"ownerTeam": "string",
"ownerTeamSlug": "string",
"cors": {
"rules": [
{
"id": "string",
"allowedOrigins": [
"string"
],
"allowedMethods": [
"string"
],
"allowedHeaders": [
"string"
],
"exposeHeaders": [
"string"
],
"maxAgeSeconds": 86400
}
]
},
"policyJson": "string"
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}